---
updatedAt: 2025-09-18T21:51:40.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# eth_blockNumber

Returns the latest block number of the blockchain.

> 📘 Supported on Arbitrum Nova only.

## Parameters

* `none`

## Returns

* `result` - Integer value of latest block number encoded as a hexadecimal.

## API Endpoint

The format of an Arbitrum Nova API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/arbitrum/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/arbitrum/`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/arbitrum/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_blockNumber","params":[],"id":1,"jsonrpc":"2.0"}'
```

**Result**

```
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": "0x1063a0"
}
```